### Hierarchy

- unknown
  - Peer

## Index

### Constructors

- constructor

### Methods

- addSupportedCapabilities
- clearNodeAddress
- clearSupportedCapabilitiesList
- getDate
- getNodeAddress
- getSupportedCapabilitiesList
- hasNodeAddress
- serializeBinary
- setDate
- setNodeAddress
- setSupportedCapabilitiesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Peer(): Peer

- Inherited from jspb.Message.constructor

  #### Returns Peer

## Methods

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2319

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns Peer

### clearNodeAddress

- clearNodeAddress(): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2311

  #### Returns Peer

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2318

  #### Returns Peer

### getDate

- getDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:2313

  #### Returns number

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2308

  #### Returns undefined | NodeAddress

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:2316

  #### Returns number[]

### hasNodeAddress

- hasNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2310

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2321

  #### Returns Uint8Array

### setDate

- setDate(value: number): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2314

  #### Parameters

  - ##### value: number

  #### Returns Peer

### setNodeAddress

- setNodeAddress(value?: NodeAddress ): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2309

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Peer

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2317

  #### Parameters

  - ##### value: number[]

  #### Returns Peer

### toObject

- toObject(includeInstance?: boolean): Peer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2322

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Peer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2325

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Peer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Peer, reader: BinaryReader): Peer

- - Defined in src/protobuf/pb_pb.d.ts:2326

  #### Parameters

  - ##### message: Peer

  - ##### reader: BinaryReader

  #### Returns Peer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Peer, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2324

  #### Parameters

  - ##### message: Peer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Peer ): Peer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2323

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Peer

  #### Returns Peer . AsObject

Generated using TypeDoc